%global fontname oflb-chicago
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        2.1
Release:        1.20150105%{?dist}
Summary:        Chicago font family
License:        OFL

URL:            http://openfontlibrary.org/en/font/chicagoflf
Source0:        https://empateinfinito.fedorapeople.org/font/oflb-chicago-fonts/oflb-chicago-fonts-2.1.tar.gz
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Chicago is a Sans-Serif font created by Robin Casady with OFL license.

%prep
%setup -q
chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc *.txt *.pdf
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Wed Feb 11 2015 Carlos Morel-Riquelme <empateinfinito@gmail.com> - 2.1-1.20150105
- Initial version
- Add metainfo file to show this font in gnome-software

